import { Model, ImageModel } from '@stackbit/sdk';

export const getFlattenModels = (schema: Record<string, Record<string, Record<string, Model | ImageModel>>>) => {
    const allModels: Array<{ model: Model | ImageModel; srcType: string; srcProjectId: string }> = [];
    for (const [srcType, srcModels] of Object.entries(schema)) {
        for (const [srcProjectId, projectModels] of Object.entries(srcModels)) {
            for (const [, model] of Object.entries(projectModels)) {
                allModels.push({ model, srcType, srcProjectId });
            }
        }
    }
    return allModels;
};
